From 2500c277c416a8f446862d50d043ee51d7e7ce1f Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 14 Dec 2011 13:38:01 -0600
Subject: Standardize grade points better

---
 lib/grade/grade_category.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/lib/grade/grade_category.php b/lib/grade/grade_category.php
index f9a3adc..f7b8dfe 100644
--- a/lib/grade/grade_category.php
+++ b/lib/grade/grade_category.php
@@ -695,7 +695,7 @@ class grade_category extends grade_object {
                     if ($coef == 0) {
                         continue;
                     } else if ($coef < 0) {
-                        $extrasum += ($grade_value / 10);
+                        $extrasum += ($grade_value / (100 / $items[$itemid]->grademax));
                     } else {
                         $weightsum += $coef;
                         $sum       += $coef * $grade_value;
-- 
1.7.1


